Direct upgrades from beta-1 will produce annoying error message

Bug #871731 reported by Colin Watson on 2011-10-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned

Bug Description

The deployment of i18n/Index files to fix bug 572128 caused some problems with certain old versions of apt from the middle of the Oneiric release cycle: 'apt-get update' returns non-zero, although it does successfully update the Packages files. Ubuntu 11.10 beta-1 released with a version of apt with this bug; it had been fixed by 11.10 beta-2. In GUI tools such as update-manager, this apparently translates into update-manager complaining and showing an error, but it does display the updated apt and allow it to be installed.

I expect that the number of people who have installed beta-1 and not upgraded since is rather limited, and since the problem is essentially cosmetic I think we can tolerate it rather than rolling back the Launchpad change (which would require also turning off changes from earlier in the cycle). However, we should write a release note explaining the situation for those users who are affected.

Changed in ubuntu-release-notes:
status: New → Fix Committed
Changed in ubuntu-release-notes:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers